> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Put paymentscommandscreate



## OpenAPI

````yaml /api-reference/oda-payment-service-1.0.0.yml put /payments/commands/create
openapi: 3.0.1
info:
  title: oda-payment-service
  version: 1.0.0
servers: []
security: []
paths:
  /payments/commands/create:
    put:
      operationId: createDraft
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePayment.CreatePaymentCommand'
        required: true
      responses:
        '200':
          description: createDraft 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePayment.CreatePaymentResponse'
components:
  schemas:
    CreatePayment.CreatePaymentCommand:
      required:
        - actions
        - amount
        - attachments
        - gatewayCredId
        - id
        - message
        - method
        - nickname
        - recipientId
      type: object
      properties:
        id:
          type: string
        gatewayCredId:
          type: string
        nickname:
          type: string
        message:
          type: string
        recipientId:
          type: string
        method:
          type: string
        amount:
          $ref: '#/components/schemas/Amount'
        attachments:
          type: array
          items:
            type: string
        goal:
          type: string
          nullable: true
        actions:
          type: array
          items:
            $ref: '#/components/schemas/CreatePayment.CreatePaymentCommand.Action'
        vote:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CreatePayment.CreatePaymentCommand.Vote'
        marker:
          type: string
          nullable: true
    CreatePayment.CreatePaymentResponse:
      required:
        - token
      type: object
      properties:
        operationUrl:
          type: string
          nullable: true
        token:
          type: string
    Amount:
      required:
        - currency
        - major
        - minor
      type: object
      properties:
        minor:
          type: integer
          format: int32
        major:
          type: integer
          format: int32
        currency:
          type: string
    CreatePayment.CreatePaymentCommand.Action:
      required:
        - actionId
        - amount
        - id
        - parameters
      type: object
      properties:
        id:
          type: string
        actionId:
          type: string
        amount:
          type: integer
          format: int32
        parameters:
          type: object
          additionalProperties:
            type: object
    CreatePayment.CreatePaymentCommand.Vote:
      required:
        - isNew
      type: object
      properties:
        id:
          type: string
          nullable: true
        item:
          type: string
          nullable: true
        isNew:
          type: boolean

````